Core - Task # 57572

Task # 57578 (Accepted): TceformsUpdateWizard improvements (Migrate all file relations from tt_content.image and pages.media)

Status: Resolved Priority: Must have
Author: Markus Klein Category: Install Tool
Created: 2014-04-02 Assigned To: Markus Klein
Updated: 2014-04-25 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity: easy

Sprint Focus:

Subject: TceformsUpdateWizard has to handle SQL errors

Description

There might be situations where the SELECT query fails. This only leads to a PHP warning currently, as the foreach loop does not

work on the NULL value.
Fix that to issue a better warning including the SQL error.

Related issues:
related to Core - Bug # 57393: Endless Loop in TceformsUpdateWizard

Resolved 2014-03-27

Associated revisions

Revision f797f4ae - 2014-04-02 21:33 - Markus Klein

[TASK] TceformsUpdateWizard: Throw exception if database query fails
Inform the user, if the database SELECT query fails during the wizard.
Resolves: #57572

Releases: 6.2

Change-Id: 10908aff5d58d6d309b471c810d924f26fc1ca577
Reviewed-on: https://review.typo3.0rg/29093

Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Steffen Muller
Tested-by: Steffen Muller

History

#1 - 2014-04-02 17:58 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29093

#2 - 2014-04-02 19:27 - Markus Klein
- Status changed from Under Review to Accepted

- Parent task set to #57578

#3 - 2014-04-02 19:28 - Markus Klein
https://review.typo3.org/29093
https://review.typo3.org/29093

- Status changed from Accepted to Under Review
#4 - 2014-04-02 22:30 - Markus Klein

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f797f4ae069c2fd2e7d06857d5c2289991a553cd.

#5 - 2014-04-03 14:03 - Steffen Kriichten

Patch now delivers a correct error response. For me an illegal mix of UTF-8 collations. Pointed me in the right direction. After sorting out my collations
beforehand migration went smooth. Problem solved for me, thank you very much for the quick response!
